package BConverter;
/*
 * CAngulo.java
 * Created on 26 de julio de 2005, 02:53 PM
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */
 
 public class CAngulo {
    private String[][] values;    

    /**
  	*  Creates a new instance of CAngulo
  	*/
    public CAngulo() {
        /**
      	*  Nmero total de medidas 13
      	*/
        values = new String[14][13];        
 
        /**
      	*  Tabla de valores
      	*/
        add(0, "1/10 circulo", "1/16 circulo", "1/2 circulo", "1/4 circulo", "1/6 circulo", "1/8 circulo",      "grados", "full-circle", "gradientes",               "minutos",  "point",   "radianes",               "segundos");
        add(1,            "1",        "0.625",           "5",         "2.5",       "1.667",        "1.25", "0.027777778",          "10",      "0.025",           "0.000462963", "0.3125",  "1.5923567", "0.00000771604938271605");
        add(2,          "1.6",            "1",           "8",           "4",       "2.667",           "2",      "0.0444",          "16",       "0.04",           "0.000740741",    "0.5",      "2.546",  "0.0000123456790123457");
        add(3,          "0.2",        "0.125",           "1",         "0.5",       "0.333",        "0.25",       "0.006",           "2",      "0.005", "0.0000925925925925926",  "0.063",  "0.3182686",  "0.0000015432098765432");
        add(4,          "0.4",         "0.25",           "2",           "1",       "0.667",         "0.5",      "0.0111",           "4",       "0.01",           "0.000185185",  "0.125",  "0.6365372",  "0.0000030864197530864");
        add(5,          "0.6",        "0.375",           "3",         "1.5",           "1",      "0.7502",       "0.017",           "6",      "0.015",           "0.000277778",  "0.188",      "0.955",  "0.0000046296296296296");
        add(6,          "0.8",          "0.5",           "4",           "2",       "1.333",           "1",       "0.022",           "8",       "0.02",            "0.00037037",   "0.25",      "1.273",  "0.0000061728395061728");
        add(7,           "36",         "22.5",         "180",          "90",          "60",          "45",           "1",         "360",        "0.9",                 "0.017",  "11.25",     "57.296",            "0.000277778");
        add(8,          "0.1",       "0.0625",         "0.5",        "0.25",       "0.167",       "0.125",       "0.003",           "1",      "0.003", "0.0000462962962962963",  "0.031",      "0.159",  "0.0000007716049382716");
        add(9,           "40",           "25",         "200",         "100",      "66.667",          "50",       "1.111",         "400",          "1",                 "0.019",   "12.5",     "63.662",            "0.000308642");
        add(10,        "2160",         "1350",       "10800",        "5400",        "3600",        "2700",          "60",       "21600",         "54",                     "1",    "675",   "3437.747",                 "0.0167");
        add(11,         "3.2",            "2",          "16",           "8",       "5.333",           "4",       "0.089",          "32",       "0.08",                 "0.001",      "1",      "5.093",  "0.0000246913580246914");
        add(12,       "0.628",  "0.392772977",       "3.142",       "1.571",       "1.047",       "0.786", "0.017453225",       "6.283",      "0.016", "0.0002908881892704720",  "0.196",          "1",  "0.0000048481367228855");
        add(13,      "129600",        "81000",      "648000",      "324000",      "216000",      "162000",        "3600",     "1296000",       "3240",                    "60",  "40500", "206264.810",                      "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }

    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8, 
            String s9,
            String s10, 
            String s11, 
            String s12,
            String s13){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13};
       values[i]=newString;       
    }
}
