package BConverter;
/*
 * CLongitud.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */

public class CLongitud{
    private String[][] values;    

    /**
  	*  Creates a new instance of CLongitud
  	*/
    public CLongitud(){
        /**
      	*  Nmero total de medidas 14
      	*/
        values = new String[15][14];
 
        /**
      	*  Tabla de valores
      	*/
        add(0,              "Centimetro",            "Dekametro",                  "Pies",          "Hectometro",           "Pulgadas (inch)",         "Kilometros",                  "Aos Luz",                "Metros",                "Micrometros",           "Millas",               "Milimetros",                     "Nanometros",     "Millas Nauticas",                  "Yardas");
        add(1,                       "1",                 "1000",                 "30.48",               "10000",                      "2.54",             "100000",        "946053207924520000",                   "100",                     "0.0001",         "160934.4",                      "0.1",                      "0.0000001",              "185200",                   "91.44");
        add(2,                   "0.001",                    "1",        "0.030480091928",                  "10",                   "0.00254",                "100",           "946053207924520",                   "0.1",                  "0.0000001",         "160.9344",                   "0.0001",               "0.00000000010000",               "185.2",                 "0.09144");
        add(3,               "0.0328083",              "32.8083",                     "1",             "328.083",                "0.08333333",            "3280.83",         "31038386103245500",               "3.28083",              "0.00000328084",             "5280",               "0.00328083",               "0.00000000328084",            "6076.131",                       "3");
        add(4,                  "0.0001",                  "0.1",              "0.003048",                   "1",                  "0.000254",                 "10",            "94605320792452",                  "0.01",                 "0.00000001",         "16.09344",                  "0.00001",                  "0.00000000001",               "18.25",                 "0.00914");
        add(5,               "0.3937008",             "393.6996",                    "12",            "3936.996",                         "1",           "39379.96",        "372461673693777000",              "39.36996",                 "0.00003937",            "63360",               "0.03936996",                  "0.00000003937",         "72913.56025",                      "36");
        add(6,                 "0.00001",                 "0.01",          "0.0003048009",                 "0.1",                 "0.0000254",                  "1",             "9460532079245",                 "0.001",                "0.000000001",         "1.609344",                 "0.000001",                 "0.000000000001",               "1.852",               "0.0009144");
        add(7, "0.000000000000000001057", "0.000000000000001057", "0.0000000000000000322", "0.00000000000001057", "0.00000000000000000268484", "0.0000000000001057",                         "1", "0.0000000000000001057", "0.000000000000000000000106", "0.00000000000017", "0.0000000000000000001057", "0.0000000000000000000000001057", "0.00000000000019576", "0.000000000000000096654");
        add(8,                    "0.01",                   "10",                "0.3048",                 "100",                    "0.0254",               "1000",          "9460528000000000",                     "1",                   "0.000001",         "1609.344",                    "0.001",                    "0.000000001",                "1852",                  "0.9144");
        add(9,                   "10000",             "10000000",                "304800",           "100000000",                     "25400",         "1000000000",    "9460528000000000000000",               "1000000",                          "1",  "1609343979.8948",                     "1000",                          "0.001",     "1852000011.8528",                  "914400");
        add(10,         "0.000006213712",          "0.006213712",          "0.0001893939",         "0.062137120",             "0.00001578283",          "0.6213712",             "5878500000000",           "0.000621371",           "0.00000000062137",                "1",          "0.0000006213712",          "0.0000000000006213712",    "1.15078228453529",           "0.00056818182");
        add(11,                     "10",                "10000",                 "304.8",              "100000",                      "25.4",            "1000000",       "9460528000000000000",                  "1000",                      "0.001",          "1609344",                        "1",                       "0.000001",             "1852000",                   "914.4");
        add(12,               "10000000",          "10000000000",             "304800000",        "100000000000",                  "25400000",      "1000000000000", "9460528000000000000000000",            "1000000000",                       "1000",    "1609344000000",                  "1000000",                              "1",     "1852000011852.8",             "914400249.4");
        add(13,              "0.0000054",          "0.005399555",          "0.0001645784",          "0.05399568",             "0.00001371487",          "0.5399555",             "5108276000000",          "0.0005399568",         "0.0000000005399568",        "0.8689741",          "0.0000005399568",          "0.0000000000005399568",                   "1",             "0.000493738");
        add(14,              "0.0109361",              "10.9361",             "0.3333333",             "109.361",                "0.02777778",           "1093.613",         "10346160000000000",               "1.09361",              "0.00000109361",             "1760",               "0.00109361",              "0.000000001093613",            "2025.377",                       "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }

    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }

    /**
  	*  Retorna el nombre de la Medida
  	*/    
    public String Measure(int i){
        return values[0][i];
    }

    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8,
            String s9,
            String s10, 
            String s11,
            String s12,
            String s13, 
            String s14){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14};
       values[i]=newString;       
    }
}
