package BConverter;
/*
 * CPeso.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */
 
public class CPeso{
    private String[][] values;    

    /**
  	*  Creates a new instance of CPeso
  	*/
    public CPeso(){
        /**
      	*  Nmero total de medidas 10
      	*/
        values = new String[11][10];
 
        /**
      	*  Tabla de valores
      	*/
        add(0,     "Quilate",     "Gramo",  "Kilogramo",     "Megagramo",     "Microgramo",      "Miligramo", "Onza (avdp) (oz)", "Onza (troy) (ozt)", "Pound (avdp) (oz)", "Pound (troy) (ozt)");
        add(1,           "1",         "5",       "5000",       "5000000",       "0.000005",          "0.005",      "141.7476235",       "155.5173674",       "2267.961975",           "1866.209");
        add(2,         "0.2",         "1",       "1000",       "1000000",       "0.000001",          "0.001",      "28.34981403",       "31.10497306",       "453.5970244",        "373.2596768");
        add(3,      "0.0002",     "0.001",          "1",          "1000",    "0.000000001",       "0.000001",      "0.028349557",       "0.031103715",       "0.453592909",        "0.373244491");
        add(4,   "0.0000002",  "0.000001",      "0.001",             "1", "0.000000000001",    "0.000000001",   "0.000028349525",    "0.000031103473",       "0.000453592",        "0.000373242");
        add(5,      "200000",   "1000000", "1000000000", "1000000000000",              "1",           "1000",      "28349524.69",       "31103473.48",       "453592292.2",          "373241705");
        add(6,         "200",      "1000",    "1000000",    "1000000000",          "0.001",              "1",      "28349.52469",       "31103.47348",          "453592.4",           "373241.7");
        add(7, "0.007054792", "0.0352736",   "35.27392",      "35273.96", "0.000000035274", "0.000035273960",                "1",       "1.097142777",                "16",        "13.16571274");
        add(8,  "0.00643015", "0.0321492",    "32.1505",      "32150.75", "0.000000032151", "0.000032150750",        "0.9114584",                 "1",       "14.58333516",                 "12");
        add(9, "0.000440925", "0.0022046",    "2.20462",      "2204.623", "0.000000002205", "0.000002204623",           "0.0625",        "0.06857142",                 "1",          "0.8228571");
        add(10,"0.000535846", "0.0026791",   "2.679209",      "2679.229", "0.000000002679", "0.000002679229",       "0.07595487",        "0.08333333",          "1.215278",                  "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8,
            String s9,
            String s10){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8, s9, s10};
       values[i]=newString;       
    }
}
