package BConverter;
/*
 * CTorque.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */
 
public class CTorque{
    private String[][] values;    

    /**
  	*  Creates a new instance of CTorque
  	*/
    public CTorque(){
        /**
      	*  Nmero total de medidas 6
      	*/
        values = new String[7][6];
 
        /**
      	*  Tabla de valores
      	*/
        add(0, "Centimetro Dina",   "Pies Libra", "Pulgada Onza", "Pulgada Libra", "Metro Kilogramo Fuerza", "Newton Metro");
        add(1,               "1", "13558200.610",      "70615.5",       "1129848",               "98066520",     "10000000");
        add(2,  "0.000000073756",            "1",   "0.00520833",        "0.0833",               "7.233003",     "0.737561");
        add(3,      "0.00001416",          "192",            "1",            "16",               "1388.736",     "141.6116");
        add(4,  "0.000000885750",           "12",       "0.0625",             "1",               "86.79621",      "8.85075");
        add(5,  "0.000000010197",    "0.1382552", "0.0007200777",    "0.01152124",                      "1",    "0.1019716");
        add(6,       "0.0000001",   "1.35582000",   "0.00706155",     "0.1129848",                "9.80665",            "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5,
            String s6){
       String[] newString={s1, s2, s3, s4, s5, s6};
       values[i]=newString;       
    }
}
