package BConverter;
/*
 * CData.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */

public class CData{
    private String[][] values;    

    /**
  	*  Creates a new instance of CData 
  	*/
    public CData(){
        /**
      	*  Nmero total de medidas 8
      	*/
        values = new String[9][8];
 
        /**
      	*  Tabla de valores
      	*/
        add(0,                 "Bit",                "Byte",          "Gigabyte",             "Kilobit",            "Kilobyte",          "Megabit",         "Megabyte",       "Terabyte");
        add(1,                   "1",                   "8", "8589936202.543820",                "1024",                "8192",          "1048576",          "8388608",  "8796093000000");
        add(2,               "0.125",                   "1",        "1073742000",                 "128",                "1024",           "131072",          "1048576",  "1099512000000");
        add(3, "0.00000000011641530", "0.00000000093132242",                 "1",  "0.0000001192092896",     "0.0000009536743",  "0.0001220703125",     "0.0009765625",           "1024");
        add(4,        "0.0009765625",           "0.0078125",           "8388608",                   "1",                   "8",             "1024",             "8192", "8589936202.544");
        add(5,     "0.0001220703125",         "0.000976563",           "1048576",               "0.125",                   "1",              "128",             "1024",     "1073742000");
        add(6,   "0.000000953674316", "0.00000762939453125",              "8192",         "0.000976563",           "0.0078125",                "1",                "8",        "8388608");
        add(7,    "0.00000011920929", "0.00000095367431641",              "1024",        "0.0001220703",         "0.000976563",            "0.125",                "1",        "1048576");
        add(8, "0.00000000000011369", "0.00000000000090949",       "0.000976563", "0.00000000011641530", "0.00000000093132260", "0.00000011920930", "0.00000095367430",              "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8};
       values[i]=newString;       
    }
}
