package BConverter;
/*
 * CFuerza.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */

public class CFuerza{
    private String[][] values;    

    /**
  	*  Creates a new instance of CFuerza
  	*/
    public CFuerza(){
        /**
      	*  Nmero total de medidas 8
      	*/
        values = new String[9][8];
 
        /**
      	*  Tabla de valores
      	*/
        add(0,           "Dina", "Gramo Fuerza", "Kilogramo Fuerza", "Kilo Newton",    "Milli Newton",          "Newton",     "Onza Fuerza",    "Libra Fuerza");
        add(1,              "1",      "980.665",           "980665",   "100000000",             "100",          "100000",        "27801.39",        "444822.2");
        add(2,    "0.001019716",            "1",             "1000",    "101971.6",      "0.10197162",        "101.9716",        "28.34952",        "453.5923");
        add(3, "0.000001019716",        "0.001",                "1",  "101.971621", "0.0001019716213", "0.1019716212978",       "0.0283495",      "0.45359229");
        add(4,     "0.00000001",   "0.00000981",       "0.00980665",           "1",        "0.000001",           "0.001", "0.0002780138579", "0.0044482224681");
        add(5,           "0.01",      "9.80665",          "9806.65",     "1000000",               "1",            "1000",        "278.0139",        "4448.222");
        add(6,        "0.00001",   "0.00980665",          "9.80665",        "1000",           "0.001",               "1",     "0.278013858",        "4.448222");
        add(7,     "0.00003597",   "0.03527396",         "35.27396",    "3596.943",    "0.0035969430",        "3.596943",               "1",              "16");
        add(8,   "0.0000022481",  "0.002204623",         "2.204623",    "224.8089",      "0.00022481",       "0.2248089",         "0.06250",               "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8};
       values[i]=newString;       
    }
}
