package BConverter;
/*
 * CPoder.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */

public class CPoder{
    private String[][] values;    

    /**
  	*  Creates a new instance of CPoder 
  	*/
    public CPoder(){
        /**
      	*  Nmero total de medidas 10
      	*/
        values = new String[11][10];
 
        /**
      	*  Tabla de valores
      	*/
        add(0,        "BTU/Hora",    "BTU/Minuto", "BTU/Segundo", "Caloria/Segundo",  "CaballosFuerza",        "KiloWatt",    "MegaWatt", "Libras-Pies/Minuto", "Libras-Pies/Segundo",        "Watt");
        add(1,               "1",            "60",        "3600",        "14.28595",        "2546.699",        "3415.179",     "3415179",         "0.07717268",            "4.630361",    "3.415179");
        add(2,      "0.01666667",             "1",          "60",       "0.2380992",     "42.44498387",         "56.9196",    "56919.65",        "0.001286211",          "0.07717268",  "0.05691965");
        add(3,    "0.0002777778",    "0.01666667",           "1",        "0.003968", "0.7074161977087", "0.9486603966539", "948.6603967",         "0.00002144",          "0.00128621",  "0.00094866");
        add(4,      "0.06999882",      "4.199929",    "251.9958",               "1",      "178.265894",        "239.0585",   "239058.53",    "0.0054019977668",           "0.3241198",  "0.23905853");
        add(5,     "0.000392665",    "0.02355991",    "1.413595",     "0.005609598",               "1",        "1.341022",    "1341.022",        "0.000030303",         "0.001818182", "0.001341022");
        add(6,    "0.0002928104",    "0.01756863",    "1.054118",     "0.004183076",       "0.7456999",               "1",        "1000",        "0.000022597",          "0.00135582",       "0.001");
        add(7, "0.0000002928104", "0.00001756863", "0.001054118",  "0.000004183076",    "0.0007456999",           "0.001",           "1",     "0.000000022597",         "0.000001356",    "0.000001");
        add(8,        "12.95795",      "777.4772",    "46648.63",        "185.1167",           "33000",        "44253.73",    "44253730",                  "1",                  "60",    "44.25373");
        add(9,       "0.2159659",      "12.95795",    "777.4772",        "3.085279",             "550",        "737.5621",    "737562.1",         "0.01666667",                   "1",   "0.7375621");
        add(10,      "0.2928104",      "17.56863",    "1054.118",        "4.183076",        "745.6999",            "1000",     "1000000",         "0.02259697",            "1.355818",           "1");
    }

    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }

    /**
  	*  Retorna el Menu
  	*/
    public String[] Menu(){
      return values[0];
    }
    
    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4,
            String s5, 
            String s6, 
            String s7, 
            String s8,
            String s9,
            String s10){
       String[] newString={s1, s2, s3, s4, s5, s6, s7, s8, s9, s10};
       values[i]=newString;       
    }
}
