package BConverter;
/*
 * CTemperatura.java
 * @author Valois at buayacorp
 * Este script est bajo licencia de Creative Commons 
 * http://creativecommons.org/licenses/by/2.0/
 */

public class CTemperatura{
    private String[][] values;    

    /**
  	*  Temperatura tiene valores adicionales que se deben adicionar
  	*  entonces son guardados en otra Matriz
  	*/
    private String[][] additives;


    /**
  	*  Creates a new instance of CTemperatura 
  	*/
    public CTemperatura(){
        /**
      	*  Nmero total de medidas 4
      	*/
        values = new String[5][4];
        
        /**
      	*  Nmero total de aditivos 4
      	*/
        additives = new String[5][4];
 
        /**
      	*  Tabla de valores
      	*/
        add(0, "Celsius", "Fahrenheit", "Kelvin", "Rankine");
        add(1,       "1",      "0.556",      "1",   "0.556");
        add(2,     "1.8",          "1",    "1.8",       "1");
        add(3,       "1",      "0.556",      "1",   "0.556");
        add(4,     "1.8",          "1",    "1.8",       "1");
        
        /**
      	*  Tabla de aditivos
      	*/
        add2(0, "Celsius", "Fahrenheit",  "Kelvin", "Rankine");
        add2(1,       "1",    "-17.778", "-273.15", "-273.15");
        add2(2,      "32",          "1", "-459.67", "-459.67");
        add2(3, "273.15",    "255.372",       "1",       "0");
        add2(4, "491.67",     "459.67",       "0",       "1");
    }


    /**
  	*  Retorna un valor de la tabla
  	*/
    public String Value(int i, int j){
       j++;
       if(i<values.length && i>=0 && j<values.length && j>=0)
          return values[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el aditivo de la tabla
  	*/
    public String Additive(int i, int j){
       j++;
       if(i<additives.length && i>=0 && j<additives.length && j>=0)
          return additives[j][i];
       else
          return "0";
    }
    
    /**
  	*  Retorna el menu
  	*/
    public String[] Menu(){
      return values[0];
    }

    /**
  	*  Retorna el nombre de la Medida
  	*/
    public String Measure(int i){
        return values[0][i];
    }
    
    /**
  	*  Agrega un valor a la tabla1
  	*/
    private void add(int i,
            String s1,
            String s2, 
            String s3,
            String s4){
       String[] newString={s1, s2, s3, s4};
       values[i]=newString;       
    }
    
    /**
  	*  Agrega un valor a la tabla2
  	*/
    private void add2(int i,
            String s1,
            String s2, 
            String s3,
            String s4){
       String[] newString={s1, s2, s3, s4};
       additives[i]=newString;
    }
}
